curl --request POST \
--url https://api.gcore.com/cloud/v3/inference/{project_id}/deployments/check_limits \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"containers": [
{
"region_id": 1,
"scale": {
"max": 3,
"min": 1
}
}
],
"flavor_name": "inference-16vcpu-232gib-1xh100-80gb"
}
'import requests
url = "https://api.gcore.com/cloud/v3/inference/{project_id}/deployments/check_limits"
payload = {
"containers": [
{
"region_id": 1,
"scale": {
"max": 3,
"min": 1
}
}
],
"flavor_name": "inference-16vcpu-232gib-1xh100-80gb"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
containers: [{region_id: 1, scale: {max: 3, min: 1}}],
flavor_name: 'inference-16vcpu-232gib-1xh100-80gb'
})
};
fetch('https://api.gcore.com/cloud/v3/inference/{project_id}/deployments/check_limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inference_cpu_millicore_count_limit": 8000,
"inference_cpu_millicore_count_requested": 3000,
"inference_cpu_millicore_count_usage": 2000,
"inference_gpu_a100_count_limit": 4,
"inference_gpu_a100_count_requested": 2,
"inference_gpu_a100_count_usage": 1,
"inference_gpu_h100_count_limit": 4,
"inference_gpu_h100_count_requested": 2,
"inference_gpu_h100_count_usage": 1,
"inference_gpu_l40s_count_limit": 4,
"inference_gpu_l40s_count_requested": 2,
"inference_gpu_l40s_count_usage": 1,
"inference_instance_count_limit": 10,
"inference_instance_count_requested": 1,
"inference_instance_count_usage": 1
}Check inference deployment quota
Check if global quota is exceeded, if yes the number of additional quotas needed to create the specified inference deployment will be calculated.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Body
List of containers for the inference instance.
1Show child attributes
Show child attributes
[
{
"region_id": 1,
"scale": { "max": 3, "min": 1 }
}
]
Inference flavor name.
1"inference-16vcpu-232gib-1xh100-80gb"
Response
OK
Inference CPU millicore count limit
8000
Inference CPU millicore count requested
3000
Inference CPU millicore count usage
2000
Inference GPU A100 Count limit
4
Inference GPU A100 Count requested
2
Inference GPU A100 Count usage
1
Inference GPU H100 Count limit
4
Inference GPU H100 Count requested
2
Inference GPU H100 Count usage
1
Inference GPU L40s Count limit
4
Inference GPU L40s Count requested
2
Inference GPU L40s Count usage
1
Inference instance count limit
10
Inference instance count requested
1
Inference instance count usage
1
Was this page helpful?